<template>
  <nuxt-link v-if="to" :to="to" class="mr-2 inline-block bg-white cursor-pointer font-bold" :class="type === 'outline'? outline : type === 'gradient' ? ` ${gradient}` : '' " @click="click">
    <slot></slot>
  </nuxt-link>
  <button v-else  class="inline-block  bg-white  cursor-pointer font-bold" :class="type === 'outline'? outline : type === 'gradient' ? ` ${gradient}` : ''" @click="click">
    <slot></slot>
  </button>
</template>
<script>

export default {
  props: {
    to: {
      type: String,
      default: '',
    },
    type: {
      type: String,
      default: '',
    },
  },
  data(){

    return{
      outline: 'border border-solid  border-gray-500   transition duration-0 hover:duration-200 hover:bg-[#ff5e14] hover:text-white hover:border-[#ff5e14] ease-in',
      gradient: ' cursor-pointer text-white font-bold gradient bg-gradient-to-r from-[#eb120a] to-[#ff5e14]'
    }

  },

  methods: {
      click(){
        this.$emit('click')
      }
  },
}
</script>
